account_circle
Alexander Bee
show_chart 1400 people_outline 80
Knok ID 0028893
monetization_on
panorama_fish_eye F
panorama_fish_eye TA
account_circle star
Alexander Bee
show_chart 1400 people_outline 80
PURCHASE FREQUENCY
HIGH, MEDIUM, LOW
panorama_fish_eye F 60%
panorama_fish_eye TA 50%
$40
COST
High
POTENTIAL PROFIT
620
BOUGHT
00:00
LEFT
keyboard_arrow_down
80%
SUCCESS RATE
show_chart
DISTANCE FROM
KNOK TARGET
15K
KNOKS PURCHASED
BY FOLLOWERS
30
KNOKS PURCHASED
keyboard_arrow_down
SIDE BET
PRICE
SIDE BET
VALUE